Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.impl.annotations.processors
Class AnnotatedServiceObjectProcessor

    java.lang.Object
      org.mule.impl.annotations.processors.AnnotatedServiceObjectProcessor

All Implemented Interfaces:
  MuleContextAware, ObjectProcessor, PreInitProcessor

    public class AnnotatedServiceObjectProcessor

extends Object
implements PreInitProcessor, MuleContextAware

This object processor allows users to register annotated services directly to the registry and have them configured correctly. It will look for a non-system `Model` registered with the Registry. If one is not found a default SEDA Model will be created Finally, the processor will register the service with the Registry and return null.

Field Summary
`protected MuleContext` | `context`

Constructor Summary
`AnnotatedServiceObjectProcessor()`

Method Summary
`protected Model` | `createModel()`
`protected Model` | `getOrCreateModel()`
`Object` | `process(Object object)`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected MuleContext context

Constructor Detail

### AnnotatedServiceObjectProcessor

    public AnnotatedServiceObjectProcessor()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### process

    public Object process(Object object)

  Specified by:
    `process` in interface `ObjectProcessor`

### getOrCreateModel

    protected Model getOrCreateModel()

### createModel

    protected Model createModel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.